#if !defined(AFX_DLGESTADO_H__A3646873_C2B6_447A_A21F_183F18A3A1B5__INCLUDED_)
#define AFX_DLGESTADO_H__A3646873_C2B6_447A_A21F_183F18A3A1B5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgEstado.h : header file
//

#include "TabEstOnEntry.h"
#include "TabEstOnExit.h"
#include "TabEstTActions.h"
#include "Domain\Estado.h"

/////////////////////////////////////////////////////////////////////////////
// CDlgEstado dialog

class CDlgEstado : public cdxCDynamicDialog {
// Construction
public:
	CDlgEstado(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDlgEstado)
	enum { IDD = IDD_DLG_ESTADO };
	CButton	m_chkInitial;
	CTabCtrlSSL	m_tabCtrl;
	CEdit	m_edtNombre;
	CEdit	m_edtDescripcion;
	CButtonST	m_btnCancel;
	CButtonST	m_btnOk;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgEstado)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

public:
	void SetEstado(CEstado* objEst) { m_objEstado = objEst; };

private:
	CEstado* m_objEstado;
	CTabEstOnEntry m_tabOnEntry;
	CTabEstOnExit m_tabOnExit;
	CTabEstTActions m_tabTActions;

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgEstado)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeTab(NMHDR* pNMHDR, LRESULT* pResult);
	virtual void OnCancel();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	DECLARE_DYNAMIC_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGESTADO_H__A3646873_C2B6_447A_A21F_183F18A3A1B5__INCLUDED_)
