#if !defined(AFX_DLGTRANSICION_H__368783BA_7BED_40D4_B9AC_A78B86CBF907__INCLUDED_)
#define AFX_DLGTRANSICION_H__368783BA_7BED_40D4_B9AC_A78B86CBF907__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgTransicion.h : header file
//

#include "Domain\DefWorkitem.h"
#include "Domain\Transicion.h"
#include "TabTranCond.h"
#include "TabTranAct.h"

/////////////////////////////////////////////////////////////////////////////
// CDlgTransicion dialog

class CDlgTransicion : public cdxCDynamicDialog {
// Construction
public:
	CDlgTransicion(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDlgTransicion)
	enum { IDD = IDD_DLG_TRANSICION };
	CEdit	m_edtDestination;
	CEdit	m_edtDescription;
	CComboBox	m_cboAction;
	CTabCtrlSSL	m_tabCtrl;
	CButtonST	m_btnCancel;
	CButtonST	m_btnOk;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgTransicion)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

public:
	void SetTransicion(CTransicion* objTran) { m_objTran = objTran; };
	void SetWorkitem(CDefWorkitem* objWki) { m_objWki = objWki; };


private:
	CDefWorkitem* m_objWki;
	CTransicion* m_objTran;
	CTabTranCond m_tabCondition;
	CTabTranAct m_tabAction;

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgTransicion)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeTab(NMHDR* pNMHDR, LRESULT* pResult);
	virtual void OnCancel();
	virtual void OnOK();
	virtual void OnSize(UINT nType, int cx, int cy);
	//afx_msg void OnSizing(UINT nSide, LPRECT lpRect);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	DECLARE_DYNAMIC_MAP()

	RECT m_lastRect;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGTRANSICION_H__368783BA_7BED_40D4_B9AC_A78B86CBF907__INCLUDED_)
