#if !defined(AFX_CONFIGURACION_H__D39A46DB_D20F_40BC_916D_139EC89E37FA__INCLUDED_)
#define AFX_CONFIGURACION_H__D39A46DB_D20F_40BC_916D_139EC89E37FA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "..\EvaluadorLUA.h"

class CConfiguracion {
public:
	CConfiguracion();
	virtual ~CConfiguracion();

public:
	BOOL Initialize();
	LPCTSTR GetSQLConnectionString();

	LPCTSTR GetAppName() { return m_strAppName.c_str(); };
	LPCTSTR GetAppVer() { return m_strAppVer.c_str(); };
	void GetIuffFunctions(CStringArray& arrFuncs);
	void GetBoundChannels(CStringArray& arrChannels);
	CString GetControlFile(LPCTSTR strCtrl);

	LPCTSTR GetUser() { return m_strDBUser.c_str(); };
	LPCTSTR GetPassword() { return m_strDBPass.c_str(); };
	LPCTSTR GetServer() { return m_strDBServer.c_str(); };
	LPCTSTR GetBase() { return m_strDBBase.c_str(); };

	void SetUser(LPCTSTR strData) { m_strDBUser = strData; };
	void SetPassword(LPCTSTR strData) { m_strDBPass = strData; };
	void SetServer(LPCTSTR strData) { m_strDBServer = strData; };
	void SetBase(LPCTSTR strData) { m_strDBBase = strData; };

	BOOL Update();

private:
	std::string m_strDBUser;
	std::string m_strDBPass;
	std::string m_strDBServer;
	std::string m_strDBBase;

	std::string m_strSQLConn;

	std::string m_strAppName;
	std::string m_strAppVer;

	CStringArray m_arrFuncs;
	CStringArray m_arrChannels;

	CMapStringToString m_mapaConfFiles;
};

#endif // !defined(AFX_CONFIGURACION_H__D39A46DB_D20F_40BC_916D_139EC89E37FA__INCLUDED_)
