#include "stdafx.h"
#include "EventoMW.h"

//////////////////////////////////////////////////////////////////////
// Constructor
CEventoMW::CEventoMW() {
	m_strID = NULL;
	m_strIDMensaje = NULL;
	m_strWhenQueued = NULL;
}
CEventoMW::~CEventoMW() {
	m_mapaIuffs.Destroy();
	FREE_NOT_NULL(m_strID);
	FREE_NOT_NULL(m_strIDMensaje);
	FREE_NOT_NULL(m_strWhenQueued);
}

//////////////////////////////////////////////////////////////////////
// 
void CEventoMW::SetAsync(LPCTSTR strData) {
	if(lstrcmpi(strData, _T("T")) == 0 || lstrcmpi(strData, _T("TRUE")) == 0) {
		m_bAsync = TRUE;
	}
	else {
		m_bAsync = FALSE;
	}
}

//////////////////////////////////////////////////////////////////////
// 
void CEventoMW::SetDumpResult(LPCTSTR strData) {
	if(lstrcmpi(strData, _T("T")) == 0 || lstrcmpi(strData, _T("TRUE")) == 0) {
		m_bDump = TRUE;
	}
	else {
		m_bDump = FALSE;
	}
}

//////////////////////////////////////////////////////////////////////
// 
void CEventoMW::AddIuff(CIuff* objIuff) {
	m_mapaIuffs.SetAt(objIuff->GetNombre(), objIuff);
}

//////////////////////////////////////////////////////////////////////
// 
void CEventoMW::DeleteIuff(CIuff* p_objIuff) {
	m_mapaIuffs.Remove(p_objIuff->GetNombre());
}

//////////////////////////////////////////////////////////////////////
// 
LPCTSTR CEventoMW::GetAsyncStr() {
	return (m_bAsync) ? _T("true") : _T("false");
}

//////////////////////////////////////////////////////////////////////
// 
LPCTSTR CEventoMW::GetDumpResultStr() {
	return (m_bDump) ? _T("true") : _T("false");
}

//////////////////////////////////////////////////////////////////////
// 
CMyMapIterador<CIuff*>* CEventoMW::GetIuffs() {
	return new CMyMapIterador<CIuff*>(&m_mapaIuffs);
}