#if !defined(AFX_EVENTOMW_H__B4658671_4ED8_4927_8F6B_9FEB89ABABAB__INCLUDED_)
#define AFX_EVENTOMW_H__B4658671_4ED8_4927_8F6B_9FEB89ABABAB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MyMap.h"
#include "Iuff.h"

class CEventoMW {
public:
	CEventoMW();
	virtual ~CEventoMW();

public:
	void SetID(LPCTSTR strData) { CopiarString(m_strID, strData); };
	void SetIDMensaje(LPCTSTR strData) { CopiarString(m_strIDMensaje, strData); };
	void SetAsync(BOOL bVal) { m_bAsync = bVal; };
	void SetDumpResult(BOOL bVal) { m_bDump = bVal; };
	void SetAsync(LPCTSTR strData);
	void SetDumpResult(LPCTSTR strData);
	void SetWhenQueued(LPCTSTR strData) { CopiarString(m_strWhenQueued, strData); };

	void AddIuff(CIuff* objIuff);
	void DeleteIuff(CIuff* objIuff);

	LPCTSTR GetID() { return m_strID; };
	BOOL GetAsync() { return m_bAsync; };
	LPCTSTR GetAsyncStr();
	BOOL GetDumpResult() { return m_bDump; };
	LPCTSTR GetDumpResultStr();
	LPCTSTR GetIDMensaje() { return m_strIDMensaje; };
	CMyMapIterador<CIuff*>* GetIuffs();
	BOOL HayWhenQueued() { return lstrlen(m_strWhenQueued); };
	LPCTSTR GetWhenQueued() { return m_strWhenQueued; };
	
private:
	char* m_strID;
	char* m_strIDMensaje;
	char* m_strWhenQueued;
	BOOL m_bAsync;
	BOOL m_bDump;
	CMyMap<CIuff*> m_mapaIuffs;
};

#endif // !defined(AFX_EVENTOMW_H__B4658671_4ED8_4927_8F6B_9FEB89ABABAB__INCLUDED_)
