#include "stdafx.h"
#include "Globales.h"
#include "Configuracion.h"
#include "ModelManager.h"
#include "..\ViewManager.h"
#include <Winsock2.h>

#pragma comment(lib,"Ws2_32.lib")

LPCTSTR APP_NAME = _T("Software\\Tecnolink\\InteractionsDesigner");

CConfiguracion* g_objConfig = NULL;
CModelManager*	g_objModelManager = NULL;
CViewManager* g_objViewManager = NULL;

//////////////////////////////////////////////////////////////////////
// Retorna la direccion IP de esta maquina
BOOL GetIPByHostname(LPCTSTR strHostname, CString& strIP) {
	WSADATA sockInfo;	// information about Winsock
	HOSTENT hostinfo;	// information about an Internet host
	in_addr address;
    
	// Open up a Winsock session, using version 2.2.
	if(WSAStartup(MAKEWORD(2, 2), &sockInfo) != 0) {
		OutputDebugString(_T("GetCurrentIP::ERROR - Attempt to open Winsock failed"));
		return FALSE;
	}
	
	// Get information about the domain specified in txtDomain.
	hostinfo = *gethostbyname(strHostname);
	if(hostinfo.h_addrtype != AF_INET) {
		OutputDebugString(_T("GetCurrentIP::ERROR - A non-IP address was returned."));
		return FALSE;
	}
	else {
		// Convert the IP address into a human-readable string.
		memcpy(&address, hostinfo.h_addr_list[0], 4);
		strIP = inet_ntoa(address);
	}
	// Close the Winsock session.
	WSACleanup();
	return TRUE;
}
