#if !defined(AFX_IUFF_H__5078A49F_19BC_4F81_A856_9F0EDEB57248__INCLUDED_)
#define AFX_IUFF_H__5078A49F_19BC_4F81_A856_9F0EDEB57248__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

typedef enum {
	TP_UNDEFINED = -1,
	TP_IUFF = 0,
	TP_TEXT = 1,
	TP_FUNCION = 2,
	TP_PARAM = 3,
	TP_CODE = 4
} TipoIUFF;

class CIuff {
public:
	CIuff();
	virtual ~CIuff();

public:
	void SetNombre(LPCTSTR strData);
	void SetLoadFrom(LPCTSTR strData);
	void SetPersist(BOOL bData);
	void SetPersist(LPCTSTR strData);
	void SetTipo(LPCTSTR strData);
	void SetTipo(TipoIUFF tipo);

	LPCTSTR GetNombre();
	LPCTSTR GetLoadFrom();
	BOOL GetPersist();
	LPCTSTR GetPersistStr();
	LPCTSTR GetTipoStr();
	TipoIUFF GetTipo() { return m_tipo; };

private:
	char* m_strNombre;
	char* m_strLoadFrom;
	BOOL		m_bPersist;
	TipoIUFF	m_tipo;
	
};

#endif // !defined(AFX_IUFF_H__5078A49F_19BC_4F81_A856_9F0EDEB57248__INCLUDED_)
