#if !defined(AFX_MODELMANAGER_H__86D4F5A4_470F_42DC_9C4C_781BA13C93A8__INCLUDED_)
#define AFX_MODELMANAGER_H__86D4F5A4_470F_42DC_9C4C_781BA13C93A8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ado.h"
#include "MyMap.h"

class CRol;
class CDefWorkitem;

typedef enum {
	RES_OK = 0,
	FAIL_NO_CODE_IN_BD = 1,
	FAIL_CANT_UNCOMPRESS = 2,
	FAIL_WRONG_XML = 3,
	FAIL_DATABASE_ERROR = 4,
	WARNING_EMPTY_WORKITEM = 5
} ModelLoadResult;

class CModelManager {
public:
	CModelManager();
	virtual ~CModelManager();

public:
	ModelLoadResult LoadFromBD(LPCTSTR strWkID, LPCTSTR strRol, CDefWorkitem** objWki);
	bool SaveIntoBD(LPCTSTR strRol, CDefWorkitem* objWki);
	bool AssociateWithTemplate(LPCTSTR strRol, LPCTSTR strWkiTipo);

	bool LoadFromXML(LPCTSTR strFilename, CDefWorkitem** objWki);

	bool SaveIntoXML(LPCTSTR strFilename, CDefWorkitem* objWki);
	bool SaveIntoSQL(LPCTSTR strFilename, LPCTSTR strWkID, LPCTSTR strRol, CDefWorkitem* objWki);

	CMyMapIterador<CRol*>* GetRoles();

	bool LoadRoles();

private:
	CADODatabase m_pAdoDB;
	CMyMap<CRol*> m_mapaRoles;
};

#endif // !defined(AFX_MODELMANAGER_H__86D4F5A4_470F_42DC_9C4C_781BA13C93A8__INCLUDED_)
