#include "stdafx.h"
#include "Rol.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
CRol::CRol() {
	m_strID = NULL;
	m_strDescripcion = NULL;
}
CRol::~CRol() {
	m_mapaWorkitems.Destroy();
	FREE_NOT_NULL(m_strID);
	FREE_NOT_NULL(m_strDescripcion);
};

//////////////////////////////////////////////////////////////////////
// 
void CRol::AddWorkitem(LPCTSTR strID, LPCTSTR strVersion) {
	stWkiRol* wki = new stWkiRol;
	wki->m_strWkiID = strID;
	wki->m_strRolID = m_strID;
	wki->m_strVersion = strVersion;
	m_mapaWorkitems.SetAt(strID, wki);
}

//////////////////////////////////////////////////////////////////////
// 
CMyMapIterador<stWkiRol*>* CRol::GetWorkitems() {
	return new CMyMapIterador<stWkiRol*>(&m_mapaWorkitems);
}