#if !defined(AFX_DRAWER_H__7D9AEF74_48F0_4A15_A69C_48996B06B5C1__INCLUDED_)
#define AFX_DRAWER_H__7D9AEF74_48F0_4A15_A69C_48996B06B5C1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "AddFlow\addflow.h"
#include "Domain\Maquina.h"
#include "Domain\Estado.h"
#include "Domain\Transicion.h"

class CDrawer {
public:
	CDrawer(CAddFlow* objAddFlow);
	virtual ~CDrawer();

public:
	bool Draw(CMaquina* objMaquina);

	CNode AddEstado(CEstado* objEst);
	//CLink AddTransicion(CTransicion* objTran);
	void UpdateEstado(CNode* afNode, CEstado* objEst);
	void UpdateTransicion(CLink* afLink, CTransicion* objTran);

private:
	void DrawEstado(CEstado* objEst);
	void DrawLinks(CEstado* objEst);
	void DrawExtraPoints(const CArray<CPoint,CPoint>* arrPoints, CLink& afLink);

private:
	CAddFlow* m_AddFlow;
	CPictureHolder m_picEstado;
};

#endif // !defined(AFX_DRAWER_H__7D9AEF74_48F0_4A15_A69C_48996B06B5C1__INCLUDED_)
