#if !defined(AFX_EVALSCINTILLA_H__5FB6DB26_E2A2_46DF_A5E5_9CA7EB2572E8__INCLUDED_)
#define AFX_EVALSCINTILLA_H__5FB6DB26_E2A2_46DF_A5E5_9CA7EB2572E8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "EvaluadorLUA.h"
#include "scintilla.h"

class CEvalScintilla : public CLuaRuntime<CEvalScintilla> {
//class CEvalScintilla : public CEvaluadorLUA {
public:
	CEvalScintilla(CScintilla* objCtrl);
	virtual ~CEvalScintilla();

public:
	BOOL ObtenerConfig();

BEGIN_EVAL_FUNC_MAP(CEvalScintilla)
	EVAL_FUNC_ENTRY(SetStyle)
END_EVAL_FUNC_MAP()

/*	static CEvalScintilla::RegType* GetMethodsMap() {
		static CEvalScintilla::RegType methods[] = {
			{ NULL, NULL }
		};
		return methods;
	};*/

	void SetTop(int index);
	int RunCode(LPCTSTR s);// { return lua_dostring(L, s); };
	int RunFile(LPCTSTR f);// { return lua_dofile(L, f); };

	void PushString(LPCTSTR s);
	void GetGlobal(LPCTSTR name);
	void SetGlobal(LPCTSTR name, char* s);

	long GetLongProp(LPCTSTR strName, long lDefVal = 0);
	LPCTSTR GetStringProp(LPCTSTR strName, LPCTSTR strDefVal = "");
	BOOL GetTableProp(LPCTSTR strName);

	// Iteracion de tablas
	void BeginIterarTabla() { lua_pushnil(m_L); };
	BOOL IterarTabla() { return (lua_next(m_L, -2) != 0); };
	void LoopIterarTabla() { lua_pop(m_L, 1); };


public:
	EVAL_FUNC(SetStyle);

private:
	COLORREF GetRGB();
	FONTDESC GetFont();

private:
	CScintilla* m_objCtrl;
};

#endif // !defined(AFX_EVALSCINTILLA_H__5FB6DB26_E2A2_46DF_A5E5_9CA7EB2572E8__INCLUDED_)
