#if !defined(AFX_FORMWKIEVENTOSMW_H__175732F9_7BFC_4725_B926_1112FBC5C0E2__INCLUDED_)
#define AFX_FORMWKIEVENTOSMW_H__175732F9_7BFC_4725_B926_1112FBC5C0E2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ViewManager.h"
#include "ViewReceiverBase.h"
#include "Domain\DefWorkitem.h"
#include "EventosMWListCtrl.h"

/////////////////////////////////////////////////////////////////////////////
// CFormWkiEventosMW form view

class CFormWkiEventosMW : public cdxCDynamicFormView, public CViewReceiverBase {
protected:
	CFormWkiEventosMW();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CFormWkiEventosMW)

// Form Data
public:
	//{{AFX_DATA(CFormWkiEventosMW)
	enum { IDD = IDD_FORMWKIEVENTOSMW_FORM };
	CIconStatic	m_frameGeneral;
	CIconStatic	m_frameEventos;
	CEventosMWListCtrl	m_lstEventos;
	CEdit	m_edtVersion;
	CEdit	m_edtPetition;
	CEdit	m_edtOrigin;
	CButtonST	m_btnRemove;
	CButtonST	m_btnEdit;
	CButtonST	m_btnAdd;
	//}}AFX_DATA

// Attributes
public:

private:
	CDefWorkitem* m_objDefWki;

// Operations
public:
	BOOL OnDataUpdate(CViewCommand*);
	void SetWorkitem(CDefWorkitem* objWorkitem);
	bool UpdateWorkitem();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFormWkiEventosMW)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CFormWkiEventosMW();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	void LlenarListaEventos();

	// Generated message map functions
	//{{AFX_MSG(CFormWkiEventosMW)
	afx_msg void OnButtonAdd();
	afx_msg void OnButtonEdit();
	afx_msg void OnButtonRemove();
	afx_msg void OnDblclkListEventsMw(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	DECLARE_DYNAMIC_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FORMWKIEVENTOSMW_H__175732F9_7BFC_4725_B926_1112FBC5C0E2__INCLUDED_)
