#if !defined(AFX_MAINFRM_H__AAA04DBF_583C_4D37_88CF_B1D78991A270__INCLUDED_)
#define AFX_MAINFRM_H__AAA04DBF_583C_4D37_88CF_B1D78991A270__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Domain\DefWorkitem.h"
#include "Domain\Rol.h"

class CMainFrame : public CMDIFrameWnd
{
public:
	CMainFrame();
	
protected: // create from serialization only
	
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
public:

// Operations
public:
	void AddWorkitemPane(CDefWorkitem* objWorkitem, stWkiRol* objWkiRol);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	//virtual BOOL OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	void OnWindowClosing(CMDIChildWnd* wnd);

	void SetStatusBarText(CString& strText) { m_wndStatusBar.SetWindowText(strText); };

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar24    m_wndToolBar;
	CCreateContext* m_pContext;

	CList<CMDIChildWnd*,CMDIChildWnd*> m_lstVentanas;

private:
	bool m_bRolesShow, m_bConnected, m_bDialplansShow;
	CMDIChildWnd* m_wndRoles;

public:

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg void OnClickSettings();
	afx_msg void OnShowWkiRoles();
	afx_msg void OnClickConnectKBD();
	afx_msg void OnUpdateShowWkiRoles(CCmdUI* pCmdUI);
	afx_msg void OnUpdateConnectKbd(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__AAA04DBF_583C_4D37_88CF_B1D78991A270__INCLUDED_)
