#include "stdafx.h"
#include "compintdesigner.h"
#include "TabEstOnEntry.h"
#include "Domain\ScintillaWrapper.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////
CTabEstOnEntry::CTabEstOnEntry(CWnd* pParent /*=NULL*/)
: CTabPageSSL (CTabEstOnEntry::IDD, pParent) {
	//{{AFX_DATA_INIT(CTabEstOnEntry)
	// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_objEst = NULL;
}

CTabEstOnEntry::~CTabEstOnEntry() {

}

void CTabEstOnEntry::DoDataExchange(CDataExchange* pDX) {
	CTabPageSSL::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTabEstOnEntry)
		DDX_Control(pDX, IDC_SCINTILLACTRL2, m_ctrlCod);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CTabEstOnEntry, CTabPageSSL)
	//{{AFX_MSG_MAP(CTabEstOnEntry)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

BEGIN_DYNAMIC_MAP(CTabEstOnEntry, CTabPageSSL)
	DYNAMIC_MAP_ENTRY(IDC_STATIC_PICTURE, mdRepos, mdNone)
END_DYNAMIC_MAP()

//////////////////////////////////////////////////////////////////////
// 
BOOL CTabEstOnEntry::OnInitDialog() {
	CTabPageSSL::OnInitDialog();

	AddSzOleControl(&m_ctrlCod, mdResize, mdResize, false);

	m_ctrlCod.SetText(m_objEst->GetOnEntry());
	m_ctrlCod.EmptyUndoBuffer();

	CScintillaWrapper objWrap(&m_ctrlCod);
	objWrap.Init("CTabEstOnEntry");
	
	return TRUE;
}

//////////////////////////////////////////////////////////////////////
// 
void CTabEstOnEntry::UpdateEstado() {
	m_objEst->SetOnEntry(m_ctrlCod.GetText());
}