#include "stdafx.h"
#include "compintdesigner.h"
#include "TabEstOnExit.h"
#include "Domain\ScintillaWrapper.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////
CTabEstOnExit::CTabEstOnExit(CWnd* pParent /*=NULL*/)
: CTabPageSSL (CTabEstOnExit::IDD, pParent) {
	//{{AFX_DATA_INIT(CTabEstOnExit)
	// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_objEst = NULL;
}

CTabEstOnExit::~CTabEstOnExit() {

}

void CTabEstOnExit::DoDataExchange(CDataExchange* pDX) {
	CTabPageSSL::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTabEstOnExit)
		DDX_Control(pDX, IDC_SCINTILLACTRL2, m_ctrlCod);
		//DDX_Control(pDX, IDC_CHECK_TRAN_ACTION, m_chkAction);
		//DDX_Control(pDX, IDC_CHECK_DEFAULT_ACTION, m_chkDefaultAction);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CTabEstOnExit, CTabPageSSL)
	//{{AFX_MSG_MAP(CTabEstOnExit)
		//ON_BN_CLICKED(IDC_RADIO_MORE_DIGITS, OnClickButtonMoreDigits)
		//ON_BN_CLICKED(IDC_RADIO_DIAL, OnClickButtonDial)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

BEGIN_DYNAMIC_MAP(CTabEstOnExit, CTabPageSSL)
	DYNAMIC_MAP_ENTRY(IDC_STATIC_PICTURE, mdRepos, mdNone)
END_DYNAMIC_MAP()

//////////////////////////////////////////////////////////////////////
// 
BOOL CTabEstOnExit::OnInitDialog() {
	CTabPageSSL::OnInitDialog();

	AddSzOleControl(&m_ctrlCod, mdResize, mdResize, false);

	CScintillaWrapper objWrap(&m_ctrlCod);
	objWrap.Init("CTabEstOnExit");

	m_ctrlCod.SetText(m_objEst->GetOnExit());
	m_ctrlCod.EmptyUndoBuffer();
	return TRUE;
}

//////////////////////////////////////////////////////////////////////
// 
void CTabEstOnExit::UpdateEstado() {
	m_objEst->SetOnExit(m_ctrlCod.GetText());
}