#include "stdafx.h"
#include "compintdesigner.h"
#include "TabTranCond.h"
#include "Domain\ScintillaWrapper.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////
CTabTranCond::CTabTranCond(CWnd* pParent /*=NULL*/)
: CTabPageSSL (CTabTranCond::IDD, pParent) {
	//{{AFX_DATA_INIT(CTabTranCond)
	// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_objTran = NULL;
}

CTabTranCond::~CTabTranCond() {

}

void CTabTranCond::DoDataExchange(CDataExchange* pDX) {
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTabTranCond)
		DDX_Control(pDX, IDC_SCINTILLACTRL1, m_ctrlCond);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CTabTranCond, CTabPageSSL)
	//{{AFX_MSG_MAP(CTabTranCond)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

BEGIN_DYNAMIC_MAP(CTabTranCond, CTabPageSSL)
	DYNAMIC_MAP_ENTRY(IDC_STATIC_PICTURE, mdRepos, mdNone)
END_DYNAMIC_MAP()

//////////////////////////////////////////////////////////////////////
// 
BOOL CTabTranCond::OnInitDialog() {
	CTabPageSSL::OnInitDialog();

	AddSzOleControl(&m_ctrlCond, mdResize, mdResize, false);
	CScintillaWrapper objWrap(&m_ctrlCond);
	objWrap.Init("CTabTranCond");

	m_ctrlCond.SetText(m_objTran->GetCondicion());
	m_ctrlCond.EmptyUndoBuffer();
	return TRUE;
}

//////////////////////////////////////////////////////////////////////
// 
void CTabTranCond::UpdateTransicion() {
	CString strCode;
	strCode = m_ctrlCond.GetText();
	strCode.TrimLeft();
	strCode.TrimRight();
	if(strCode.GetLength() != 0) {
		m_objTran->SetCondicion(m_ctrlCond.GetText());
	}
	else {
		m_objTran->SetCondicion("");
	}
}
