#if !defined(AFX_VIEWCOMMAND_H__2AEA7427_850B_400A_B2F3_D5C5A4EE36E5__INCLUDED_)
#define AFX_VIEWCOMMAND_H__2AEA7427_850B_400A_B2F3_D5C5A4EE36E5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

typedef enum {
	COMMAND_UPDATE_ALL = 0,
	COMMAND_ADD = 1,
	COMMAND_MODIFY = 2,
	COMMAND_REMOVE = 3,
	COMMAND_UPDATE_DEFWORKITEM = 4,
	COMMAND_UPDATE_EVT_MW = 5,
	COMMAND_WORKITEM_APPLY_CHANGES = 6,
	COMMAND_WORKITEM_CANCEL_CHANGES = 7,
	COMMAND_UPDATE_ROLES = 8
} CommandType;

class CViewCommand {
public:
	CViewCommand(CommandType);
	virtual ~CViewCommand();

public:
	CommandType GetCommandType();
	void SetData(void*);
	void* GetData();
	
private:
	void* m_ptrData;
	CommandType m_Command;
};

#endif // !defined(AFX_VIEWCOMMAND_H__2AEA7427_850B_400A_B2F3_D5C5A4EE36E5__INCLUDED_)
