#if !defined(AFX_ROLESVIEW_H__33AACDFB_AB81_4CF1_8360_776C6E9C43F9__INCLUDED_)
#define AFX_ROLESVIEW_H__33AACDFB_AB81_4CF1_8360_776C6E9C43F9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// rolesview.h : header file
//

class CRolesWkitemsTree;
#include "Domain\Rol.h"

#include "ViewManager.h"
#include "ViewCommand.h"
#include "ViewReceiverBase.h"

/////////////////////////////////////////////////////////////////////////////
// CRolesView frame

class CRolesView : public CMDIChildWnd, public CViewReceiverBase
{
	DECLARE_DYNCREATE(CRolesView)
protected:
	CRolesView();           // protected constructor used by dynamic creation

// Attributes
protected:
	CToolBar24    m_wndToolBar;
	TVisualFramework m_Framework;
	CRolesWkitemsTree*	m_objWkitemsTree;
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRolesView)
	protected:
	virtual BOOL OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CRolesView();

	BOOL OnDataUpdate(CViewCommand*);

	// Generated message map functions
	//{{AFX_MSG(CRolesView)
	afx_msg void OnDestroy();
	afx_msg void OnClose();
	afx_msg void OnClickExportAllToXML();
	afx_msg void OnClickExportAllToSQL();
	afx_msg void OnClickEditCode();
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	bool GetSelectedRolAndWorkitem(CRol** rol, stWkiRol** workitem_rol);
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ROLESVIEW_H__33AACDFB_AB81_4CF1_8360_776C6E9C43F9__INCLUDED_)
