    typedef enum {
        afNoShadow = 0,
        afRightBottomShadow = 1,
        afRightTopShadow = 2,
        afLeftTopShadow = 3,
        afLeftBottomShadow = 4,
    } ShadowConstants;

    typedef enum {
        afPolyline = 0,
        afBezier = 1,
        afVH = 2,
        afHV = 3,
        afVHV = 4,
        afHVH = 5,
        afVHVH = 6,
        afHVHV = 7,
        afVHVHV = 8,
        afHVHVH = 9,
        afVHVHVH = 10,
        afHVHVHV = 11,
        afVHVHVHV = 12,
        afHVHVHVH = 13,
        afSpline = 14,
    } LinkStyleConstants;

    typedef enum {
        afNoBorder = 0,
        afFixedSingle = 1,
    } BorderStyleConstants;
    
    typedef enum {
        afDefault = 0,
        afArrow = 1,
        afCross = 2,
        afIBeam = 3,
        afIcon = 4,
        afSize = 5,
        afSizeNESW = 6,
        afSizeNS = 7,
        afSizeNWSE = 8,
        afSizeEW = 9,
        afUpArrow = 10,
        afHourglass = 11,
        afNoDrop = 12,
		    afArrowHourglass = 13,
	      afArrowQuestion = 14,
	      afSizeAll = 15,
        afCustom = 99,
    } MousePointerConstants;
         
    typedef enum {
        afEllipse = 0,
        afRectangle = 1,
        afRoundRect = 2,           
        afLosange = 3,
        afNorthTriangle = 4, 
        afSouthTriangle = 5, 
        afEastTriangle = 6, 
        afWestTriangle = 7, 
        afHexagon = 8, 
        afRectEdgeBump = 9,
        afRectEdgeEtched = 10,
        afRectEdgeRaised = 11,
        afRectEdgeSunken = 12,
		    afTriangleRectangle = 13,
        afPentagon = 14, 
        afOctogon = 15, 
        afProcess = 50,
        afAlternateProcess = 51,
        afDecision = 52,
        afData = 53,
        afPredefinedProcess = 54,
        afInternalStorage = 55,
        afDocument = 56,
        afMultiDocument = 57,
        afTermination = 58,
        afPreparation = 59,
        afManualInput = 60,
        afManualOperation = 61,
        afConnector = 62,
        afOffPageConnection = 63,
        afCard = 64,
        afPunchedTape = 65,
        afSummingJunction = 66,
        afOr = 67,
        afCollate = 68,
        afSort = 69,
        afExtract = 70,
        afMerge = 71,
        afStoredData = 72,
        afDelay = 73,
        afSequentialAccessStorage = 74,
        afMagneticDisk = 75,
        afDirectAccessStorage = 76,
        afDisplay = 77,
        afTransport = 78,
        afProcessIso9000 = 79,
        afOrGate = 80,
        afCustomShape = 100,
    } ShapeConstants;

    typedef enum {
        afAngle0,
        afAngle90,
        afAngle180,          
        afAngle270,
    } ShapeOrientationConstants;

    typedef enum {
        afNoScroll,
        afHorizontal,
        afVertical,           
        afBoth,
    } ScrollBarsConstants;

    typedef enum {
        afNoSelection,
        afSelectItems,
        afZoomRectangle,
        afZoomRectIso,
        afDrawFocusRect,
    } SelectActionConstants;

    typedef enum {
        afPixels,
        afLines,
        afDottedLines,
    } GridStyleConstants;

	  typedef enum
    {
		  afFlat,
		  af3D,
    } AppearanceConstants;	

    typedef enum {
        afSolid = 0,
        afDash = 1,
        afDot = 2,           
        afDashDot = 3,       
        afDashDotDot = 4,    
        afTransparent = 5,    
        afInsideSolid = 6, 
    } DrawStyleConstants;

    typedef enum {
        afLeftJustifyTOP = 0,
        afLeftJustifyMIDDLE = 1,
        afLeftJustifyBOTTOM = 2,           
        afRightJustifyTOP = 3,       
        afRightJustifyMIDDLE = 4,    
        afRightJustifyBOTTOM = 5,    
        afCenterTOP = 6,               
        afCenterMIDDLE = 7,
        afCenterBOTTOM = 8,
    } AlignmentConstants;                                 

    typedef enum {
        afNoArrow = 0,   
		    afFilledCircle = 1,          
        afEmptyCircle = 2,       
        afFilledArrow15 = 3,
        afEmptyArrow15 = 4, 
        afFilledArrow30 = 5,    
        afEmptyArrow30 = 6,    
        afFilledArrow45 = 7,               
        afEmptyArrow45 = 8,                 
        afFilledFork30 = 9,            
        afEmptyFork30 = 10,                  
        afFilledClosedFork30 = 11,           
        afEmptyClosedFork30 = 12,             
        afFilledLosange45 = 13,          
        afEmptyLosange45 = 14,           
        afMany45 = 15,                   
        afManyOptional45 = 16,          
        afOne30 = 17,           
        afOneOptional30 = 18,   
        afOneOrMany45 = 19,     
        afOpenedArrow15 = 20, 
        afOpenedArrow30 = 21, 
        afOpenedArrow45 = 22,     
        afFilledLosange15 = 23, 
        afFilledLosange30 = 24,          
        afEmptyLosange15 = 25,      
        afEmptyLosange30 = 26,      
        afFilledHalfArrow15 = 27,    
        afFilledHalfArrow30 = 28,      
        afFilledHalfArrow45 = 29,   
        afEmptyHalfArrow15 = 30,    
        afEmptyHalfArrow30 = 31,      
        afEmptyHalfArrow45 = 32,    
        afOpenedHalfArrow15 = 33,    
        afOpenedHalfArrow30 = 34,      
        afOpenedHalfArrow45 = 35,       
        afFilledFork15 = 36,        
        afEmptyFork15 = 37,       
        afFilledClosedFork15 = 38,        
        afEmptyClosedFork15 = 39,       
        afFilledFork45 = 40,        
        afEmptyFork45 = 41,       
        afFilledClosedFork45 = 42,        
        afEmptyClosedFork45 = 43,
    } ArrowConstants;

    typedef enum {                                     
        afFilledFork = 9,  
        afEmptyFork = 10,                  
        afFilledClosedFork = 11,           
        afEmptyClosedFork = 12,   
        afFilledLosange = 13,          
        afEmptyLosange = 14,    
    } ObsoleteArrowConstants;

    typedef enum {
        afNoAutoSize= 0,
        afAdjustPictureSizetoNode = 1,
        afAdjustNodeSizetoPicture = 2,  
        afAdjustNodeSizetoText = 3,     
        afAdjustNodeSizetoTextAndPicture = 4,   
    } AutoSizeConstants;     

    typedef enum {
        afNoUserAction= 0,
        afNodeCreation = 1,
        afLinkCreation = 2,
		    afNodeDragging = 3,   
        afNodeResizing = 4,   
        afLinkStretching = 5,   
        afSelection = 6,      
    } UserActionConstants;

	typedef enum {
        afNWSEsizeHandle = 0,
        afNSsizeHandle= 1,
        afNESWsizeHandle= 2,
        afWEsizeHandle = 3,
        afStretchingHandle= 4,
        afLinkingHandle= 5,
        afNodeArea= 6,
        afOutSide= 7,
		    afLinkArea= 8,
    } PointedAreaConstants;

	typedef enum {
        afTypeMediumFile = 0,
        afTypeMediumClipboard = 1,
    } SaveImageMediumConstants;

	typedef enum {
        afWMF = 0,
        afEMF= 1,
    } SaveImageFormatConstants;

	typedef enum {
        afAllItems = 0,
        afSelectedItems = 1,
        afMarkedItems = 2,
    } ItemSetConstants;

    typedef enum {
        afPictureLeftTOP = 0,
        afPictureLeftMIDDLE = 1,
        afPictureLeftBOTTOM = 2,           
        afPictureRightTOP = 3,       
        afPictureRightMIDDLE = 4,    
        afPictureRightBOTTOM = 5,    
        afPictureCenterTOP = 6,               
        afPictureCenterMIDDLE = 7,
        afPictureCenterBOTTOM = 8,
        afRelativeToText = 9,
    } PicturePositionConstants; 
	                                
	typedef enum {
        afCenterNodeHandle = 0,
        afAllNodeArea = 1,
    } LinkCreationModeConstants;

	typedef enum {
		afEditNone = 0,
		afEditMouseClick = 1,
		afEditMouseDoubleClick = 2,
	} EditModeConstants;

	typedef enum {
      afEditCtrlReturn = 0,
      afEditShiftReturn = 1
    } EditHardReturnConstants;

    typedef enum {
        afBackModeTransparent = 1,
        afBackModeOpaque = 2,   
    } BackModeConstants;

    typedef enum {
        afSmallSize = 6,
        afMediumSize = 9,   
        afLargeSize = 12,   
    } HandleSizeConstants;

    typedef enum {
        afFilterAllSelectableItems = 0,
        afFilterAllSelectableNodes = 1,   
        afFilterAllSelectableLinks = 2, 
        afFilterAllItems = 3,
        afFilterAllNodes = 4,   
        afFilterAllLinks = 5, 
    } FilterConstants;

    typedef enum {
        afNoEllipsis = 0,
        afEllipsisEnd = 1,   
        afEllipsisPath = 2, 
    } EllipsisConstants;

    typedef enum {
        afDrawDoubleBuffer = 0,
        afDrawNormal = 1, 
    } DrawMethodConstants;

    typedef enum {
        afShowNone = 0,
        afShowNode = 1,
        afShowLink = 2,
        afShowNodeAndLink = 3,
        afShowGeneral = 4,
        afShowGeneralAndNode = 5,
        afShowGeneralAndLink = 6,
        afShowAll = 7,
    } ShowPropertyPagesConstants;

    typedef enum {
        afNoJump = 0,
        afArcJump = 1,
        afBreakJump = 2,
    } ShowJumpConstants;

    typedef enum {
        afActionNone,
        afActionNodeCreate,
        afActionNodeDelete,
        afActionNodeMove,
        afActionNodeResize,
        afActionNodeLeft,
        afActionNodeTop,
        afActionNodeWidth,
        afActionNodeHeight,
        afActionNodePicture,
        afActionNodePictureIndex, 
        afActionNodeFont,
        afActionNodeFillColor,
        afActionNodeDrawColor,
        afActionNodeForeColor,
		    afActionNodeGradientColor,
        afActionNodeText,
        afActionNodeTag,
        afActionNodeKey,
        afActionNodeTooltip,
        afActionNodeUserdata,
        afActionNodeAutosize, 
        afActionNodeShape,
        afActionNodeShapeOrientation,
        afActionNodeAlignment,
        afActionNodePicturePosition,
        afActionNodeShadow,
		    afActionNodeGradientMode,
        afActionNodeEditMode,
        afActionNodeBackMode,
        afActionNodeDrawStyle,
        afActionNodeDrawWidth,
        afActionNodeMarked, 
        afActionNodeHidden,
        afActionNodeTransparent,
        afActionNodeLogical,
        afActionNodeSelectable,
        afActionNodeMoveable,
        afActionNodeXMoveable,
        afActionNodeYMoveable,
        afActionNodeSizeable,
        afActionNodeXSizeable,
        afActionNodeYSizeable, 
        afActionNodeXScrollable,
        afActionNodeYScrollable,
        afActionNodeMaxOutDegree,
        afActionNodeMaxInDegree,
        afActionNodeMaxDegree,
        afActionNodeXTextMargin,
        afActionNodeYTextMargin,
        afActionNodeCustomShapeIndex,
		    afActionNodeGradient,
        afActionLinkCreate,
        afActionLinkDelete,
        afActionLinkMove,  
        afActionLinkStretch,
        afActionLinkOrg,
        afActionLinkDst,
        afActionLinkReverse,
        afActionLinkPoints,
        afActionLinkFont,
        afActionLinkDrawColor,
        afActionLinkForeColor,
        afActionLinkText,
        afActionLinkTag, 
        afActionLinkKey,  
        afActionLinkTooltip,
        afActionLinkUserdata,
        afActionLinkDrawWidth,
        afActionLinkLinkStyle,
        afActionLinkArrowOrg,
        afActionLinkArrowMid,
        afActionLinkArrowDst,
        afActionLinkDrawStyle,
        afActionLinkBackMode,  
		    afActionLinkShowJump,
        afActionLinkMarked,
        afActionLinkHidden,
        afActionLinkLogical,
        afActionLinkSelectable,
        afActionLinkStretchable,
        afActionLinkOrientedText,
        afActionLinkRigid,
        afActionLinkAdjustOrg,
        afActionLinkAdjustDst,  
        afActionLinkOrthogonalDynamic,
		    afActionLinkTextSegment,
        afActionLinkSizeArrowDst,
        afActionLinkSizeArrowOrg,
        afActionLinkSizeArrowMid,
        afActionZOrder,
        afActionDeleteSel,
        afActionDeleteMarked,
        afActionPaste,  
        afActionClearNodes,
        afActionClearLinks, 
        afActionMoveItems, 
        afActionNodePropertyPage,
        afActionLinkPropertyPage,   
        afActionNodeTagVariant,
        afActionLinkTagVariant,
		    afActionLinkRoundedCorner,
        afActionNodeOwnerDraw,
        afActionLinkOwnerDraw,
      } ActionConstants;

    typedef enum {
	    afCyclesAllowed = 0,
      afNoCycle = 1,
      afNoDirectedCycle = 2,
	  } CycleModeConstants;

    typedef enum {
        afSmallArrow = 0,
        afMediumArrow = 1,   
        afLargeArrow = 2,   
    } ArrowSizeConstants;
	
    typedef enum {
        afZeroAngle = 0,
        afSmallAngle = 1,   
        afMediumAngle = 2,
        afLargeAngle = 3,
    } RemovePointAngleConstants;

    typedef enum {	
        afChangedCollection = 1000,
        afKeyNotCorrect = 1001,
		afKeyAlreadyExist = 1002,
		afKeyNotFound = 1003,
		afIndexOutOfRange = 1004,
		afCannotChangePoint = 1005,
		afCannotChangeFirstOrLastPoint = 1006,
		afLinkNotAttachedToNode = 1007,
		afCycleError = 1008,
		afOutsideAllowedArea = 1009,
		afDuplicateKeyIgnored = 1010,
		afDeletedItem = 1011,
		afObjectTypeNotCorrect = 1012,
		afInvalidData = 1013,
		afNotSafeMethod = 1014,
		afOutDegreeError = 1015,
		afInDegreeError = 1016,
		afDirectedCycleError = 1017,
		afReflexiveLinkNotAccepted = 1018,
		afMultipleLinkNotAccepted = 1019,
    } AddFlowErrorConstants;
	
    typedef enum {
         afSmallJump = 0,
         afMediumJump = 1,   
        afLargeJump = 2,   
    } JumpSizeConstants;
		
    typedef enum {
        afSmallRound = 0,
        afMediumRound = 1,   
        afLargeRound = 2,   
    } RoundSizeConstants;
		
	typedef enum {
		afAllSides = 0,
		afTwoBestSides = 1, 
		afVerticalSides = 2,
		afHorizontalSides = 3,
		afBestVerticalSide = 4,
		afBestHorizontalSide = 5,
	 } StartMethodConstants;

	typedef enum {
		afNodeDrawNone= 0,
		afNodeDrawShape= 1, 
		afNodeDrawText = 2,
		afNodeDrawPicture = 4,
		afNodeDrawAll = 7,
	} NodeDrawFlags;

	typedef enum {
		afLinkDrawNone = 0,
		afLinkDrawShape= 1, 
		afLinkDrawArrows = 2,
		afLinkDrawText = 4,
		afLinkDrawAll = 7,
	} LinkDrawFlags;

	typedef enum {
		afDrawNone = 0,
		afDrawAll = 1,
  } DrawFlags;

  typedef enum {
     afGradientNone = 01,
     afGradientHorizontal = 1,
     afGradientVertical = 2, 
  } GradientModeConstants;


