#include "stdafx.h"
#include "CompIntDesigner.h"
#include "AddFlowView.h"
#include "Addflow\AddflowConst.h"
#include "Domain\Globales.h"
#include <comdef.h>
#include "ViewCommand.h"
#include "Domain\DefWorkitem.h"
#include "Domain\Estado.h"
#include "Domain\Transicion.h"
#include "Drawer.h"
#include "Domain\FlowToMaquina.h"
#include "DlgTransicion.h"
#include "DlgEstado.h"


#define IDC_ADDFLOW 501

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAddFlowView

IMPLEMENT_DYNCREATE(CAddFlowView, CView)

CAddFlowView::CAddFlowView() {
	//{{AFX_DATA_INIT(CAddFlowView)
	// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_bAddFlowInit = FALSE;
	m_bShowTrans = TRUE;
	m_bShowGrid = FALSE;
	/*picTelIdle.CreateFromIcon(IDI_ICON_TELEFONO_1);
	picMoreDigits.CreateFromIcon(IDI_ICON_TELEFONO_2);
	picDial.CreateFromIcon(IDI_ICON_TELEFONO_3);*/
}

CAddFlowView::~CAddFlowView() {
}

void CAddFlowView::DoDataExchange(CDataExchange* pDX)
{
	CView::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAddFlowView)
	DDX_Control(pDX, IDC_ADDFLOW, m_AddFlow);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAddFlowView, CView)
	//{{AFX_MSG_MAP(CAddFlowView)
	ON_WM_SIZE()
	ON_WM_PAINT()
	ON_WM_MOUSEWHEEL()
	ON_WM_ERASEBKGND()
	ON_COMMAND(ID_AF_BTN_ADD_ESTADO, OnButtonAddEstado)
	ON_COMMAND(ID_AF_BTN_EDIT_ESTADO, OnButtonEditEstado)
	ON_COMMAND(ID_AF_BTN_REMOVE_ESTADO, OnButtonRemoveEstado)
	ON_COMMAND(ID_AF_BTN_EDIT_TRAN, OnButtonEditTransicion)
	ON_COMMAND(ID_AF_BTN_REMOVE_TRAN, OnButtonRemoveTransicion)
	ON_COMMAND(ID_AF_BTN_ZOOM_IN, OnButtonZoomIn)
	ON_COMMAND(ID_AF_BTN_ZOOM_OUT, OnButtonZoomOut)
	ON_COMMAND(ID_AF_BTN_GRID, OnButtonToggleGrid)
	ON_COMMAND(ID_AF_BTN_SHOWTRAN, OnButtonShowTrans)
	ON_WM_DESTROY()
	ON_WM_SETCURSOR()
	ON_NOTIFY_EX_RANGE(TTN_NEEDTEXTW, 0, 0xFFFF, OnToolTipNotify)
	ON_NOTIFY_EX_RANGE(TTN_NEEDTEXTA, 0, 0xFFFF, OnToolTipNotify)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

BEGIN_EVENTSINK_MAP(CAddFlowView, CView)
	//{{AFX_EVENTSINK_MAP(CAddFlowView)
	ON_EVENT(CAddFlowView, IDC_ADDFLOW, -605 /* MouseDown */, OnMouseDownAddflow, VTS_I2 VTS_I2 VTS_I4 VTS_I4)
	ON_EVENT(CAddFlowView, IDC_ADDFLOW, -607 /* MouseUp */, OnMouseUpAddflow, VTS_I2 VTS_I2 VTS_I4 VTS_I4)
	ON_EVENT(CAddFlowView, IDC_ADDFLOW, -606 /* MouseMove */, OnMouseMoveAddflow, VTS_I2 VTS_I2 VTS_I4 VTS_I4)
	ON_EVENT(CAddFlowView, IDC_ADDFLOW, 0xfffffda7 /* DblClick */, OnMouseDblClick, VTS_NONE)
	ON_EVENT(CAddFlowView, IDC_ADDFLOW, 0xfffffda6 /* KeyDown */, OnKeyDown, VTS_PI2 VTS_I2)
	//}}AFX_EVENTSINK_MAP
END_EVENTSINK_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDevicesList drawing

void CAddFlowView::OnDraw(CDC* pDC) {
	//CDocument* pDoc = GetDocument();
	// TODO: add draw code here
	//UpdateCurrentDiagram();
}

/////////////////////////////////////////////////////////////////////////////
// CAddFlowView message handlers

//////////////////////////////////////////////////////////////////////
// 
void CAddFlowView::OnInitialUpdate() {
	CRect rect;
	GetClientRect(&rect);
/*
AddFlow ActiveX Control
Copyright (c) 1997-99 Lassalle Technologies
License number: 211A D202 5F16 A7C9
*/

WCHAR pwchLicenseKey[] =
{
	0x0041,	0x0064,	0x0064,	0x0046,	0x006C,	0x006F,	
	0x0077,	0x0020,	0x0041,	0x0063,	0x0074,	0x0069,	
	0x0076,	0x0065,	0x0058,	0x0020,	0x0043,	0x006F,	
	0x006E,	0x0074,	0x0072,	0x006F,	0x006C,	0x000D,	
	0x000A,	0x0043,	0x006F,	0x0070,	0x0079,	0x0072,	
	0x0069,	0x0067,	0x0068,	0x0074,	0x0020,	0x0028,	
	0x0063,	0x0029,	0x0020,	0x0031,	0x0039,	0x0039,	
	0x0037,	0x002D,	0x0039,	0x0039,	0x0020,	0x004C,	
	0x0061,	0x0073,	0x0073,	0x0061,	0x006C,	0x006C,	
	0x0065,	0x0020,	0x0054,	0x0065,	0x0063,	0x0068,	
	0x006E,	0x006F,	0x006C,	0x006F,	0x0067,	0x0069,	
	0x0065,	0x0073,	0x000D,	0x000A,	0x004C,	0x0069,	
	0x0063,	0x0065,	0x006E,	0x0073,	0x0065,	0x0020,	
	0x006E,	0x0075,	0x006D,	0x0062,	0x0065,	0x0072,	
	0x003A,	0x0020,	0x0032,	0x0031,	0x0031,	0x0041,	
	0x0020,	0x0044,	0x0032,	0x0030,	0x0032,	0x0020,	
	0x0035,	0x0046,	0x0031,	0x0036,	0x0020,	0x0041,	
	0x0037,	0x0043,	0x0039
};
	
	BSTR bstrLicense = ::SysAllocStringLen(pwchLicenseKey, sizeof(pwchLicenseKey) / sizeof(WCHAR));
	BOOL bResult = m_AddFlow.Create(NULL, WS_VISIBLE, rect, this, IDC_ADDFLOW, NULL, FALSE, bstrLicense);
	::SysFreeString(bstrLicense);
	if(!bResult) {
		AfxMessageBox(IDS_ERROR_ADDFLOW, MB_OK);
		return;
	}
	EnableToolTips(TRUE);
	m_AddFlow.SetShowToolTip(TRUE);
	m_AddFlow.SetBackColor(RGB(255,255,255));
	m_AddFlow.SetCanDrawLink(TRUE);
	m_AddFlow.SetCanDrawNode(FALSE);
	m_AddFlow.SetCanSizeNode(FALSE);
	m_AddFlow.SetBorderStyle(afFixedSingle);
	m_AddFlow.SetProportionalBars(TRUE);
	m_bAddFlowInit = TRUE;
	if (!m_wndToolBar.CreateEx(this, TBSTYLE_FLAT, WS_CHILD | WS_VISIBLE | CBRS_TOP
		/*| CBRS_GRIPPER */| CBRS_TOOLTIPS | CBRS_FLYBY | CBRS_SIZE_DYNAMIC) ||
		!m_wndToolBar.LoadToolBar(IDR_TOOLBAR_ADDFLOW))
	{
		TRACE0("Failed to create toolbar\n");
		return;      // fail to create
	}
	m_wndToolBar.SetFullColorImage(32, 32, IDR_TOOLBAR_ADDFLOW, RGB(255, 0, 255));

	CRect rcClient;
	GetClientRect(&rcClient);
	if(::IsWindow(m_wndToolBar.m_hWnd)) {
		CSize size = m_wndToolBar.CalcFixedLayout(TRUE, TRUE);
		m_wndToolBar.MoveWindow(0, 0, rcClient.Width(), size.cy);
		m_wndToolBar.ShowWindow(SW_SHOW);
		m_wndToolBar.BringWindowToTop();
		if(m_bAddFlowInit) {
			m_AddFlow.SetWindowPos(NULL, 0, size.cy, rcClient.Width(), rcClient.Height() - size.cy, NULL);
		}
	}
	m_wndToolBar.EnableWindow(TRUE);
	m_wndToolBar.SetFocus();
	m_wndToolBar.EnableToolTips(TRUE);
	//m_wndToolBar.EnableDocking(CBRS_ALIGN_TOP);

	m_pMainFrame = ((CMainFrame*)(GetParentFrame()->GetParentFrame()));
}

//////////////////////////////////////////////////////////////////////
// 
void CAddFlowView::OnSize(UINT nType, int cx, int cy) {
	CView::OnSize(nType, cx, cy);
	CRect rcTbar;

	if(::IsWindow(m_wndToolBar.m_hWnd)) {
		m_wndToolBar.GetWindowRect(&rcTbar);
		m_wndToolBar.MoveWindow(0, 0, cx, rcTbar.Height());
		m_wndToolBar.ShowWindow(SW_SHOW);
		m_wndToolBar.BringWindowToTop();
		if(m_bAddFlowInit) {
			m_AddFlow.SetWindowPos(NULL, 0, rcTbar.Height(), cx, cy - rcTbar.Height(), NULL/*, SWP_NOMOVE*/);
		}
	}
	if(m_bAddFlowInit) {
		m_AddFlow.SetWindowPos(NULL, 0, rcTbar.Height(), cx, cy - rcTbar.Height(), NULL/*, SWP_NOMOVE*/);
	}
}

//////////////////////////////////////////////////////////////////////
// 
void CAddFlowView::OnPaint() {
	/*CView::OnPaint();
	return;*/
	PAINTSTRUCT ps;
	::BeginPaint(m_hWnd, &ps);
	::EndPaint(m_hWnd, &ps);
}

//////////////////////////////////////////////////////////////////////
// 
BOOL CAddFlowView::OnEraseBkgnd(CDC* pDC) {
	//return CView::OnEraseBkgnd(pDC);
	return TRUE;
}

//////////////////////////////////////////////////////////////////////
// 
void CAddFlowView::SetWorkitem(CDefWorkitem* p_objWki) {
	m_objWki = p_objWki;
	m_objMaquina = m_objWki->GetMaquina();
}

//////////////////////////////////////////////////////////////////////
// 
void CAddFlowView::RefreshDiagrama() {
	if(!m_objMaquina) {
		m_AddFlow.SelectAll();
		m_AddFlow.DeleteSel();
		return;
	}
	CNode afNodo;

	// Borro todo
	m_AddFlow.SelectAll();
	m_AddFlow.DeleteSel();

	CDrawer objDrawer(&m_AddFlow);
	objDrawer.Draw(m_objMaquina);
}

//////////////////////////////////////////////////////////////////////
// 
bool CAddFlowView::UpdateCurrentDiagram() {
	if(!m_objMaquina) {
		return false;
	}
	CFlowToMaquina objFlowConv(&m_AddFlow);
	objFlowConv.Update(m_objMaquina);
	return true;
}

//////////////////////////////////////////////////////////////////////
// 
void CAddFlowView::OnDestroy() {
	//UpdateCurrentDiagram();
	CView::OnDestroy();
}

//////////////////////////////////////////////////////////////////////
// 
CLink CAddFlowView::AddLink(CNode* afNodeOrg, CNode* afNodeDst) {
	CLink afLink = afNodeOrg->GetOutLinks().Add(*afNodeDst);
	char buffer[40];
	ObtenerIDUnico(buffer);
	afLink.SetKey(buffer);
	afLink.SetDrawColor(RGB(255,0,0));
	return afLink;
}

//////////////////////////////////////////////////////////////////////
// 
void CAddFlowView::DeleteAfNode(CNode* afNode) {
	// itero sobre las transiciones del nodo
	CLinks links = afNode->GetOutLinks();
	long lCount = links.GetCount();
	for(int i = 1; i <= lCount; i++) {
		COleVariant var((short)i);
		CLink link = links.Item(var);
		DeleteAfNode(&(link.GetDst()));
	}
	COleVariant var(afNode->GetIndex());
	afNode->SetMarked(TRUE);
}

//////////////////////////////////////////////////////////////////////
// 
void CAddFlowView::OnMouseDblClick() {
	switch(m_AddFlow.GetPointedArea()) {
		case afStretchingHandle:
		case afLinkArea:
			OnButtonEditTransicion();
			return;
		break;

		case afNodeArea:
			OnButtonEditEstado();
			return;
		break;
	}
}

//////////////////////////////////////////////////////////////////////
// 
void CAddFlowView::OnMouseDownAddflow(short Button, short Shift, long x, long y) {
}

//////////////////////////////////////////////////////////////////////
// Cuando se suelta el botn del mouse, ver si se est dibujando una transicin
// para mostrar el dilogo correspondiente
void CAddFlowView::OnMouseUpAddflow(short Button, short Shift, long x, long y) {
	if(Button == 1) {
		// Botn izquierdo
		if(m_AddFlow.GetLastUserAction() == afLinkCreation) {
			CTransicion* objTran = new CTransicion;
			CEstado* oEstOrig, *oEstDest;
			CNode afNodDst, afNodOrg;
			CLink afLink = m_AddFlow.GetSelectedLink();
			afNodOrg = afLink.GetOrg();
			afNodDst = afLink.GetDst();
			oEstOrig = (CEstado*)afNodOrg.GetUserData();
			oEstDest = (CEstado*)afNodDst.GetUserData();
			objTran->SetOrigen(oEstOrig);
			objTran->SetDestino(oEstDest);
			
			CDlgTransicion dlg(this);
			dlg.SetTransicion(objTran);
			dlg.SetWorkitem(m_objWki);
			if(dlg.DoModal() == IDOK) {
				CDrawer objDrawer(&m_AddFlow);
				objDrawer.UpdateTransicion(&afLink, objTran);
				// le agrego la transicin al estado de origen
				oEstOrig->AddTransicion(objTran);
			}
			else {
				m_AddFlow.DeleteSel();
				delete objTran;
			}
		}
	}
}

//////////////////////////////////////////////////////////////////////
// 
void CAddFlowView::OnKeyDown(short* KeyCode, short Shift) {
	if(*KeyCode == VK_DELETE) {
		if(m_AddFlow.GetSelectedLink()) {
			OnButtonRemoveTransicion();
		}
		else if(m_AddFlow.GetSelectedNode()) {
			OnButtonRemoveEstado();
		}
	}
}

//////////////////////////////////////////////////////////////////////
// 
void CAddFlowView::OnMouseMoveAddflow(short Button, short Shift, long x, long y) {
	switch(m_AddFlow.GetPointedArea()) {
		case afLinkArea: {
			CLink afLink = m_AddFlow.GetPointedLink();
			CTransicion* tran = (CTransicion*)afLink.GetUserData();
			afLink.SetToolTip(tran->GetDescripcion());
			SetCursor(AfxGetApp()->LoadStandardCursor(IDC_ARROW));
			return;
		break;}

		case afNodeArea: {
			CNode afNode = m_AddFlow.GetPointedNode();
			CEstado* est = (CEstado*)afNode.GetUserData();
			afNode.SetToolTip(est->GetDescripcion());
			SetCursor(AfxGetApp()->LoadStandardCursor(IDC_ARROW));
			return;
		break;}

		case afLinkingHandle:
			SetCursor(AfxGetApp()->LoadStandardCursor(IDC_UPARROW));
		break;

		case afStretchingHandle:
			SetCursor(AfxGetApp()->LoadStandardCursor(IDC_CROSS));
		break;

		default:
			if(m_AddFlow.GetSelectAction() == afSelectItems) {
				SetCursor(AfxGetApp()->LoadStandardCursor(IDC_CROSS));
			}
			else {
				SetCursor(AfxGetApp()->LoadStandardCursor(IDC_ARROW));
			}
		break;
	}
}

//////////////////////////////////////////////////////////////////////
// 
BOOL CAddFlowView::OnDataUpdate(CViewCommand* p_Command) {
	switch(p_Command->GetCommandType()) {
		case COMMAND_UPDATE_ALL:
			/*m_lstDevices.DeleteAllItems();
			m_treeGrupos.DeleteAllItems();
			LlenarListaDevices();
			LlenarListaGrupos();*/
		break;

		case COMMAND_UPDATE_DEFWORKITEM: {
			SetWorkitem(((CDefWorkitem*)p_Command->GetData()));
			RefreshDiagrama();
		break;}
	}
	return TRUE;
}

//////////////////////////////////////////////////////////////////////
// 
void CAddFlowView::OnButtonAddEstado() {
	CEstado* objEst = new CEstado;	
	CDlgEstado dlg;
	dlg.SetEstado(objEst);
	if(dlg.DoModal() == IDOK) {
		CDrawer objDraw(&m_AddFlow);
		CNode afNode = objDraw.AddEstado(objEst);
		m_objMaquina->AddEstado(objEst);
		objDraw.UpdateEstado(&afNode, objEst);
	}
	else {
		delete objEst;
	}
}

//////////////////////////////////////////////////////////////////////
// 
void CAddFlowView::OnButtonEditEstado() {
	CNode afNode = m_AddFlow.GetSelectedNode();
	if(afNode) {		
		CEstado* est = (CEstado*)afNode.GetUserData();
		CDlgEstado dlgEst;
		dlgEst.SetEstado(est);
		if(dlgEst.DoModal() == IDOK) {
			CDrawer objDrawer(&m_AddFlow);
			if(est->IsInitial()) {
				CEstado* oldEstIni = m_objMaquina->SetEstadoInicial(est);
				if(oldEstIni) {
					CNode afOldNode = FindNodeByUserData((long)oldEstIni);
					if(afOldNode) {
						objDrawer.UpdateEstado(&afOldNode, oldEstIni);
					}
				}
			}
			objDrawer.UpdateEstado(&afNode, est);
		}
	}
}

//////////////////////////////////////////////////////////////////////
// 
void CAddFlowView::OnButtonRemoveEstado() {
	CNode afNode = m_AddFlow.GetSelectedNode();
	if(afNode) {
		CEstado* objEst = (CEstado*)afNode.GetUserData();
		m_objMaquina->RemoveEstado(objEst);
		m_AddFlow.DeleteSel();
	}
}

//////////////////////////////////////////////////////////////////////
// 
void CAddFlowView::OnButtonEditTransicion() {
	CLink afLink = m_AddFlow.GetSelectedLink();
	if(afLink) {
		CTransicion* tran = (CTransicion*)afLink.GetUserData();
		CDlgTransicion dlgTran;
		dlgTran.SetTransicion(tran);
		dlgTran.SetWorkitem(m_objWki);
		if(dlgTran.DoModal() == IDOK) {
			CDrawer objDrawer(&m_AddFlow);
			objDrawer.UpdateTransicion(&afLink, tran);
		}
	}
}

//////////////////////////////////////////////////////////////////////
// 
void CAddFlowView::OnButtonRemoveTransicion() {
	CLink afLink = m_AddFlow.GetSelectedLink();
	if(afLink) {
		CTransicion* objTran = (CTransicion*)afLink.GetUserData();
		objTran->GetOrigen()->RemoveTransicion(objTran);
		delete objTran;
		m_AddFlow.DeleteSel();
	}
}

//////////////////////////////////////////////////////////////////////
// 
void CAddFlowView::OnButtonZoomIn() {
	m_AddFlow.SetXZoom(m_AddFlow.GetXZoom() + 10);
	m_AddFlow.SetYZoom(m_AddFlow.GetYZoom() + 10);
}

//////////////////////////////////////////////////////////////////////
// 
void CAddFlowView::OnButtonZoomOut() {
	if(m_AddFlow.GetXZoom() == 10) {
		return;
	}
	m_AddFlow.SetXZoom(m_AddFlow.GetXZoom() - 10);
	m_AddFlow.SetYZoom(m_AddFlow.GetYZoom() - 10);
}

//////////////////////////////////////////////////////////////////////
// 
void CAddFlowView::OnButtonToggleGrid() {
	m_bShowGrid = !m_bShowGrid;
	m_AddFlow.SetShowGrid(m_bShowGrid);
	m_AddFlow.SetSnapToGrid(m_bShowGrid);
}

//////////////////////////////////////////////////////////////////////
// 
void CAddFlowView::OnButtonShowTrans() {
	CNodes afNodes = m_AddFlow.GetNodes();
	for(long i = 1; i <= afNodes.GetCount(); i++) {
		_variant_t var(i);
		CNode afNode = afNodes.Item(var);
		CLinks afLinks = afNode.GetLinks();
		for(long j = 1; j <= afLinks.GetCount(); j++) {
			_variant_t var(j);
			afLinks.Item(var).SetHidden(m_bShowTrans);
		}
	}
	m_bShowTrans = !m_bShowTrans;
}

//////////////////////////////////////////////////////////////////////
// Actualiza los datos editados al workitem
bool CAddFlowView::UpdateWorkitem() {
	return UpdateCurrentDiagram();
}

//////////////////////////////////////////////////////////////////////
// 
CNode CAddFlowView::FindNodeByUserData(long p_lValue) {
	CNodes afNodes = m_AddFlow.GetNodes();

	for(long i = 1; i <= afNodes.GetCount(); i++) {
		_variant_t var(i);
		CNode afNode = afNodes.Item(var);
		if(afNode.GetUserData() == p_lValue) {
			return afNode;
		}
	}
	return NULL;
}

//////////////////////////////////////////////////////////////////////
// Tooltip handler
BOOL CAddFlowView::OnToolTipNotify(UINT id, NMHDR *pNMHDR, LRESULT *pResult) {
	// need to handle both ANSI and UNICODE versions of the message
	TOOLTIPTEXTA* pTTTA = (TOOLTIPTEXTA*)pNMHDR;
	TOOLTIPTEXTW* pTTTW = (TOOLTIPTEXTW*)pNMHDR;
	CString strTipText, strFullText, strText;
	UINT nID = pNMHDR->idFrom;
	if(pNMHDR->code == TTN_NEEDTEXTA && (pTTTA->uFlags & TTF_IDISHWND) ||
		pNMHDR->code == TTN_NEEDTEXTW && (pTTTW->uFlags & TTF_IDISHWND))
	{
		// idFrom is actually the HWND of the tool
		nID = ::GetDlgCtrlID((HWND)nID);
	}
	
	if(nID != 0) {// will be zero on a separator
		strFullText.LoadString(nID);
		AfxExtractSubString(strText, strFullText, 0, '\n');
		AfxExtractSubString(strTipText, strFullText, 1, '\n');
	}
	
	if(pNMHDR->code == TTN_NEEDTEXTA) {
		lstrcpyn(pTTTA->szText, strTipText, sizeof(pTTTA->szText));
	}
	else {
		_mbstowcsz(pTTTW->szText, strTipText, sizeof(pTTTW->szText));
	}
	m_pMainFrame->SetStatusBarText(strText);
	*pResult = 0;
	return TRUE;    // message was handled
}

//////////////////////////////////////////////////////////////////////
// 
BOOL CAddFlowView::OnMouseWheel(UINT nFlags, short zDelta, CPoint pt) {
	// Seguro que esta no es la forma correcta de hacerlo, pero anda...
	if(nFlags & MK_CONTROL) {
		// Scroll horizontal
		m_AddFlow.SendMessage(WM_HSCROLL, (zDelta > 0) ? SB_LINELEFT: SB_LINERIGHT, NULL);
	}
	else {
		// Scroll vertical
		m_AddFlow.SendMessage(WM_VSCROLL, (zDelta > 0) ? SB_LINEUP: SB_LINEDOWN, NULL);
	}
	return TRUE;
}