#include "stdafx.h"
#include "CompIntDesigner.h"
#include "DlgSettings.h"
#include "domain\Configuracion.h"
#include "Domain\Globales.h"
#include "..\..\..\..\..\..\..\includes\SupportGUI\BrowseForNetwork.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgSettings dialog


CDlgSettings::CDlgSettings(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgSettings::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgSettings)
	m_edtBase = _T("");
	m_edtPassword = _T("");
	m_edtServer = _T("");
	m_edtUser = _T("");
	//}}AFX_DATA_INIT
}


void CDlgSettings::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgSettings)
	DDX_Control(pDX, IDC_BUTTON_BROWSE, m_btnBrowse);
	DDX_Control(pDX, IDC_BUTTON_ACCEPT, m_btnAccept);
	DDX_Control(pDX, IDC_BUTTON_CANCEL, m_btnCancel);
	DDX_Control(pDX, IDC_STATIC_FRAME, m_frame);
	DDX_Text(pDX, IDC_EDIT_BD_BASE, m_edtBase);
	DDX_Text(pDX, IDC_EDIT_BD_PASSWORD, m_edtPassword);
	DDX_Text(pDX, IDC_EDIT_BD_SERVER, m_edtServer);
	DDX_Text(pDX, IDC_EDIT_BD_USER, m_edtUser);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgSettings, CDialog)
	//{{AFX_MSG_MAP(CDlgSettings)
	ON_BN_CLICKED(IDC_BUTTON_BROWSE, OnButtonBrowse)
	ON_BN_CLICKED(IDC_BUTTON_ACCEPT, OnOK)
	ON_BN_CLICKED(IDC_BUTTON_CANCEL, OnCancel)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgSettings message handlers

void CDlgSettings::OnOK() {
	UpdateData(TRUE);

	g_objConfig->SetServer(m_edtServer);
	g_objConfig->SetBase(m_edtBase);
	g_objConfig->SetUser(m_edtUser);
	g_objConfig->SetPassword(m_edtPassword);

	g_objConfig->Update();
	
	CDialog::OnOK();
}

/////////////////////////////////////////////////////////////////////////////
// 
BOOL CDlgSettings::OnInitDialog() {
	CDialog::OnInitDialog();

	m_btnAccept.SetIcon(IDI_ICON_ACCEPT);
	m_btnCancel.SetIcon(IDI_ICON_CANCEL);
	m_btnBrowse.SetIcon(IDI_ICON_BROWSE);
	m_frame.SetIcon(IDI_ICON_SERVER);
	m_edtServer = g_objConfig->GetServer();
	m_edtBase = g_objConfig->GetBase();
	m_edtUser = g_objConfig->GetUser();
	m_edtPassword = g_objConfig->GetPassword();

	UpdateData(FALSE);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

/////////////////////////////////////////////////////////////////////////////
// 
void CDlgSettings::OnButtonBrowse() {
	CBrowseForNetwork objBrowser;
	CString strIP;
	
	CString strRet = objBrowser.BrowseComputers(m_hWnd).c_str();
	if(strRet == "") {
		return;
	}
	GetIPByHostname(strRet, strIP);
	m_edtServer = strIP;
	UpdateData(FALSE);
}
