#if !defined(AFX_DEFWORKITEM_H__3CCCC908_A54B_41EB_8A07_CDAC47FB4113__INCLUDED_)
#define AFX_DEFWORKITEM_H__3CCCC908_A54B_41EB_8A07_CDAC47FB4113__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MyMap.h"

#include "EventosMW.h"
class CMaquina;
class CEventoMW;
class CMetodo;

class CDefWorkitem {
public:
	CDefWorkitem();
	virtual ~CDefWorkitem();

public:
	void SetTipo(LPCTSTR strData);
	void SetDescripcion(LPCTSTR strData);
	void SetCanal(LPCTSTR strData);

	void SetMaquina(CMaquina*);
	CMaquina* GetMaquina() const { return m_objMaquina; };

	void AddMetodo(CMetodo* objMetodo);
	void RemoveMetodo(CMetodo* objMetodo);
	CMyMapIterador<CMetodo*>* GetMetodos();

	CEventosMW& GetEventosMW() { return m_objEventosMW; };

	LPCTSTR GetTipo() { return m_strTipo; };
	LPCTSTR GetDescripcion() { return m_strDescripcion; };
	LPCTSTR GetCanalFisico() { return m_strCanal; };

private:
	CMaquina* m_objMaquina;
	CEventosMW m_objEventosMW;
	CMyMap<CMetodo*> m_mapaMetodos;
	char* m_strTipo;
	char* m_strDescripcion;
	char* m_strCanal;
};

#endif // !defined(AFX_DEFWORKITEM_H__3CCCC908_A54B_41EB_8A07_CDAC47FB4113__INCLUDED_)
