#include "stdafx.h"
#include "EventosMW.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
CEventosMW::CEventosMW() {
	m_strPeticion = NULL;
	m_strPetVer = NULL;
	m_strOrigen = NULL;
}

CEventosMW::~CEventosMW() {
	m_mapaEventos.Destroy();
	FREE_NOT_NULL(m_strPeticion);
	FREE_NOT_NULL(m_strPetVer);
	FREE_NOT_NULL(m_strOrigen);
}

//////////////////////////////////////////////////////////////////////
// 
void CEventosMW::AddEvento(CEventoMW* objEvt) {
	m_mapaEventos.SetAt(objEvt->GetID(), objEvt);
}

//////////////////////////////////////////////////////////////////////
// 
void CEventosMW::RemoveEvento(CEventoMW* objEvt) {
	m_mapaEventos.Remove(objEvt->GetID());
	delete objEvt;
}

//////////////////////////////////////////////////////////////////////
// 
CMyMapIterador<CEventoMW*>* CEventosMW::GetEventos() {
	return new CMyMapIterador<CEventoMW*>(&m_mapaEventos);
}