#if !defined(AFX_EVENTOSMW_H__70C2D6FE_7460_4B71_B7C3_F7E6BA1D41B4__INCLUDED_)
#define AFX_EVENTOSMW_H__70C2D6FE_7460_4B71_B7C3_F7E6BA1D41B4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MyMap.h"
#include "EventoMW.h"

class CEventosMW {
public:
	CEventosMW();
	virtual ~CEventosMW();

public:
	void SetPeticion(LPCTSTR strData) { CopiarString(m_strPeticion, strData); };
	void SetVersion(LPCTSTR strData) { CopiarString(m_strPetVer, strData); };
	void SetOrigen(LPCTSTR strData) { CopiarString(m_strOrigen, strData); };
	void AddEvento(CEventoMW* objEvt);
	void RemoveEvento(CEventoMW* objEvt);

	LPCTSTR GetPeticion() { return m_strPeticion; };
	LPCTSTR GetVersion() { return m_strPetVer; };
	LPCTSTR GetOrigen() { return m_strOrigen; };

	CMyMapIterador<CEventoMW*>* GetEventos();
	
private:
	char* m_strPeticion;
	char* m_strPetVer;
	char* m_strOrigen;
	CMyMap<CEventoMW*> m_mapaEventos;
};

#endif // !defined(AFX_EVENTOSMW_H__70C2D6FE_7460_4B71_B7C3_F7E6BA1D41B4__INCLUDED_)
