#include "stdafx.h"
#include "ScintillaWrapper.h"
#include "..\EvalScintilla.h"
#include "Globales.h"
#include "Configuracion.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////
CScintillaWrapper::CScintillaWrapper(CScintilla* p_Ctrl)
 : m_objCtrl(p_Ctrl)
{

}

CScintillaWrapper::~CScintillaWrapper() {

}

//////////////////////////////////////////////////////////////////////
// 
void CScintillaWrapper::Init(LPCTSTR p_strCtrl) {
	m_objCtrl->EmptyUndoBuffer();
	m_objCtrl->StyleResetDefault();
	m_objCtrl->SetStyleBits(5);

	CEvalScintilla objEval(m_objCtrl);

	CString strFile;
	strFile = g_objConfig->GetControlFile(p_strCtrl);
	if(strFile != "" && objEval.RunFile(strFile) == 0) {
		objEval.ObtenerConfig();
	}
	else {
		CString strError;
		strError.Format("Invalid script file '%s' for control '%s'", strFile, p_strCtrl);
		AfxMessageBox(strError, MB_ICONERROR);
	}
}