#if !defined(AFX_WORKITEMSERIALIZER_H__141ECB20_337A_49E8_97D8_774952AB2470__INCLUDED_)
#define AFX_WORKITEMSERIALIZER_H__141ECB20_337A_49E8_97D8_774952AB2470__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CDefWorkitem;
class CXMLNode;
class CEstado;
class CTransicion;
class CMetodo;

class CWorkitemSerializer {
public:
	CWorkitemSerializer();
	virtual ~CWorkitemSerializer();

	// XML => Modelo
public:
	BOOL FromXml(CDefWorkitem** objWki, CXMLNode* objNodo);
private:
	BOOL MaquinaFromXml(CXMLNode* objNodo);
	BOOL EstadoFromXml(CXMLNode* objNodo);
	BOOL TransicionFromXml(CXMLNode* objNodo);
	BOOL MetodoFromXml(CXMLNode* objNodo);
	BOOL EventosMWFromXml(CXMLNode* objNodo);

	// Modelo => XML
public:
	BOOL ToXml(CDefWorkitem* objWki, CString& strOut);
private:
	BOOL MaquinaToXml(CString& strOut);
	BOOL EstadoToXml(CEstado*, CString& strOut);
	BOOL TransicionToXml(CTransicion*, CString& strOut);
	BOOL MetodoToXml(CMetodo*, CString& strOut);
	BOOL EventosMWToXml(CString& strOut);

private:
	CDefWorkitem* m_objWorkitem;
};

#endif // !defined(AFX_WORKITEMSERIALIZER_H__141ECB20_337A_49E8_97D8_774952AB2470__INCLUDED_)
