#ifndef EVALUADOR_LUA__H
#define EVALUADOR_LUA__H

//#include "LuaWrap.h"
#include "Lunar.h"
#include "LuaRuntime.h"

class CEvaluadorLUA : public CLuaRuntime<CEvaluadorLUA> {
public:
	CEvaluadorLUA();
	virtual ~CEvaluadorLUA();

public:
	void SetTop(int index);
	int RunFile(LPCTSTR f);
	
	void PushString(LPCTSTR s);
	void SetGlobal(LPCTSTR name, char* s);

	int Call(int params, int returns);
	
	bool GetCodeReturn(char**);

	long GetLongProp(LPCTSTR strName, long lDefVal = 0);
	LPCTSTR GetStringProp(LPCTSTR strName, LPCTSTR strDefVal = "");
	BOOL GetTableProp(LPCTSTR strName);

	// Iteracion de tablas
	void BeginIterarTabla() { lua_pushnil(m_L); };
	BOOL IterarTabla() { return (lua_next(m_L, -2) != 0); };
	void LoopIterarTabla() { lua_pop(m_L, 1); };

public:
	// Funciones de apoyo
	//DECL_LUAFUNC(CEvaluadorLUA, errormessage)
};

#endif