#if !defined(AFX_FORMWKIEVENTOMW_H__C3AA7E42_EDC0_4655_B4DC_FF01F85A2004__INCLUDED_)
#define AFX_FORMWKIEVENTOMW_H__C3AA7E42_EDC0_4655_B4DC_FF01F85A2004__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// FormWkiEventoMW.h : header file
//

#include "ViewManager.h"
#include "ViewReceiverBase.h"
#include "Domain\EventoMW.h"
#include "IuffsListCtrl.h"

/////////////////////////////////////////////////////////////////////////////
// CFormWkiEventoMW form view

class CFormWkiEventoMW : public cdxCDynamicFormView, public CViewReceiverBase {
protected:
	CFormWkiEventoMW();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CFormWkiEventoMW)

// Form Data
public:
	//{{AFX_DATA(CFormWkiEventoMW)
	enum { IDD = IDD_FORMWKIEVENTOMW_FORM };
	CIconStatic	m_frameIuffs;
	CIconStatic	m_frameSuperior;
	CEdit	m_edtMessage;
	CEdit	m_edtEvent;
	CButton	m_chkDumpResult;
	CButton	m_chkAsync;
	CButtonST	m_btnRemove;
	CButtonST	m_btnEdit;
	CButtonST	m_btnAdd;
	CIuffsListCtrl	m_lstIuffs;
	//}}AFX_DATA

// Attributes
public:
	
private:
	CEventoMW* m_objEventoMW;

// Operations
public:
	BOOL OnDataUpdate(CViewCommand*);
	void SetEventoMW(CEventoMW* objEventoMW);
	void UpdateEvento();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFormWkiEventoMW)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

public:
	virtual BOOL CanClose();

// Implementation
protected:
	virtual ~CFormWkiEventoMW();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	void LlenarListaDeIuffs();
	void RefreshEvento();

	// Generated message map functions
	//{{AFX_MSG(CFormWkiEventoMW)
	afx_msg void OnDblclkListIuffs(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnButtonAdd();
	afx_msg void OnButtonEdit();
	afx_msg void OnButtonRemove();
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	DECLARE_DYNAMIC_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FORMWKIEVENTOMW_H__C3AA7E42_EDC0_4655_B4DC_FF01F85A2004__INCLUDED_)
