//{{AFX_INCLUDES()
#include "scintilla.h"
//}}AFX_INCLUDES
#if !defined(AFX_FORMWKIMETODOS_H__34DB0357_B2B7_40DD_B5D7_66179D0F781B__INCLUDED_)
#define AFX_FORMWKIMETODOS_H__34DB0357_B2B7_40DD_B5D7_66179D0F781B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ViewManager.h"
#include "ViewReceiverBase.h"
#include "Domain\DefWorkitem.h"
#include "MetodosListCtrl.h"

/////////////////////////////////////////////////////////////////////////////
// CFormWkiMetodos form view

class CFormWkiMetodos : public cdxCDynamicFormView, public CViewReceiverBase {
protected:
	CFormWkiMetodos();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CFormWkiMetodos)

// Form Data
public:
	//{{AFX_DATA(CFormWkiMetodos)
	enum { IDD = IDD_FORMWKIMETODOS_FORM };
	CIconStatic	m_frameMetodos;
	CButtonST	m_btnRemove;
	CButtonST	m_btnAdd;
	CMetodosListCtrl m_lstMetodos;
	CScintilla	m_ctrlCodigo;
	//}}AFX_DATA

// Attributes
public:

private:
	CDefWorkitem* m_objDefWki;

// Operations
public:
	BOOL OnDataUpdate(CViewCommand*);
	void SetWorkitem(CDefWorkitem* objWorkitem);
	bool UpdateWorkitem();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFormWkiMetodos)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CFormWkiMetodos();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	void LlenarListaMetodos();
	void RefreshMetodo();

	// Generated message map functions
	//{{AFX_MSG(CFormWkiMetodos)
	afx_msg void OnButtonAddMetodo();
	afx_msg void OnButtonRemoveMetodo();
	afx_msg void OnItemChanged(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnEnable(BOOL bEnable);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	DECLARE_DYNAMIC_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FORMWKIMETODOS_H__34DB0357_B2B7_40DD_B5D7_66179D0F781B__INCLUDED_)
