#include "stdafx.h"
#include "ViewManager.h"
#include "ViewReceiverBase.h"
#include "ViewCommand.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////
CViewManager::CViewManager() {

}

CViewManager::~CViewManager() {

}

//////////////////////////////////////////////////////////////////////
// 
void CViewManager::AddView(CViewReceiverBase* pView) {
	m_lstViews.Add(pView);
}

void CViewManager::RemoveView(CViewReceiverBase* pView) {
	for(int i = 0; i < m_lstViews.GetSize(); i++) {
		if(m_lstViews.GetAt(i) == pView) {
			m_lstViews.RemoveAt(i);
		}
	}
}
//////////////////////////////////////////////////////////////////////
// 
void CViewManager::UpdateViews(CViewReceiverBase* p_Sender, CViewCommand* p_Command) {
	// recorrer el array y avisar a cada suscriptor
	for(int i = 0; i < m_lstViews.GetSize(); i++) {
		CViewReceiverBase* view = m_lstViews.GetAt(i);
		if(view != p_Sender) {
			// Enviar el aviso a todos menos el origen
			view->OnDataUpdate(p_Command);
		}
	}
}
